<?php
 require('load_this/load_bigware_11.php');
 require("../class_this/SearchSelectBox.php");
  $controller = new SearchSelectBox($languages_id);
  $languages = go_get_languages();
 switch ($_GET['action']) {
 	 
 case "add_option":
	$controller->save_option($_POST['position_id'],$_POST['option'],$_POST['context']);
break;
case "update_option":
	$controller->update_option($_POST['position_id'],$_POST['option'],$_POST['context']);
break;
case "delete_option":
	$controller->delete_option($_POST['position_id']);
break;
case "move_option":
	$controller->move_option($_POST['position_id'],$_POST['moveTo']);
break;

 case 'update':
 $selectboxtext = $_POST['selectboxtext'];
 
 go_db_query("update ".DB_TBL_SEARCHSELECTBOX." set selectboxtext='".$selectboxtext."' where searchselectbox_id = '" . $_POST['searchselectbox_id'] . "'");
 go_forward(go_href_link(NAME_OF_FILE_SEARCHSELECTBOX, '&sID=' . $searchselectbox_id));
 break;
 case 'deleteconfirm':
 $searchselectbox_id = go_db_producing_input($_GET['sID']);
 go_db_query("delete from ".DB_TBL_SEARCHSELECTBOX." where searchselectbox_id = '" . go_db_input($searchselectbox_id) . "'");
 go_forward(go_href_link(NAME_OF_FILE_SEARCHSELECTBOX));
 break;
 }
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="load_this/style.css">
<script language="javascript" src="load_this/general.js"></script>
<script language="javascript" src="load_this/menu.js"></script>
<script language="javascript" src="jquery/js/jquery.min.js"></script>
<script language="javascript" src="jquery/js/jquery-ui.min.js"></script>
<?php
 if ( ($_GET['action'] == 'new') || ($_GET['action'] == 'edit') ) {
?>
<link rel="stylesheet" type="text/css" href="includes/javascript/calendar.css">
<script language="JavaScript" src="includes/javascript/calendarcode.js"></script>
<?php
 }
?>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF" onload="SetFocus();">
<div id="popupcalendar" class="text"></div>
<!-- header //-->
<?php require(FOLDER_RELATIV_INCLUDES . 'load_bigware_9.php'); ?>
<!-- header_eof //-->
<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
 <tr>
 <td width="<?php echo FRAME_WIDTH; ?>" valign="top"></td>
<!-- body_text //-->
 <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
 <tr>
 <td class="smallText" width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
 <tr>
 <td class="pageGeneralsign"><?php echo ABOVE_TITLE; ?></td>
 <td class="pageGeneralsign" align="right"><?php echo go_fetch_dividing_up('tranparentes.gif', ABOVE_PICTURE_WIDTH, ABOVE_PICTURE_HEIGHT); ?></td>
 </tr>
 </table>
 <?php echo TEXT_SEARCH_EXPLANATION_1 ?><a href="searchselect.php"><< diese Seite >></a><?php echo TEXT_SEARCH_EXPLANATION_2 ?>
 </td>
 </tr>
 <tr>
 <td><?php echo '<div class="option_manager">'.$controller->render_option().'</div>'; ?></td>
 </tr>
 </table></td>
<!-- body_text_eof //-->
 </tr>
</table>
	
<!-- body_eof //-->
<!-- footer //-->
<?php require(FOLDER_RELATIV_INCLUDES . 'load_bigware_7.php'); ?>
<!-- footer_eof //-->
</body>
</html>
<?php require(FOLDER_RELATIV_INCLUDES . 'load_bigware_6.php'); ?>